System 2.0.0.0 4.0.0.0 To be added.

Provides the base interface to load and execute scripts for automatic proxy detection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Closes a script.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Loads a script.

  A indicating whether the script was successfully loaded.

  Internal only. Internal only. Internal only.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` ``

  When the object is run, it may need to run the WPAD (Web Proxy Automatic Detection) protocol to detect whether a proxy is required for reaching the destination URL. During this process, the system downloads and compiles the PAC (Proxy Auto-Configuration) script in memory and tries to execute the FindProxyForURL function as per the PAC specification.

  When doing so, the system creates an internal application domain inside the application which runs with mimimal permissions and most importantly, it does not grant the UI permission to this new application domain. The evaluation of a proxy and running the FindProxyForURL javascript function happens in the context of this new application domain and during this process the system may need to run several helper functions as per the PAC specification.

  Runs a script.

  A .

  An internal-only value returned.

  Internal only. Internal only.